QwtAlphaColorMap(3)

NAME
QwtAlphaColorMap -

QwtAlphaColorMap variies the alpha value of a color.

SYNOPSIS

#include <qwt_color_map.h>

Inherits QwtColorMap.

  Public Types
enum Format { RGB, Indexed }

  Public Member Functions
QColor color () const
QColor color (const QwtDoubleInterval &, double value) const
virtual QVector< QRgb > colorTable (const QwtDoubleInterval &) const
virtual QwtColorMap * copy () const
Format format () const
QwtAlphaColorMap & operator= (const QwtAlphaColorMap &)
QwtAlphaColorMap (const QColor &=QColor(Qt::gray))
QwtAlphaColorMap (const QwtAlphaColorMap &)
virtual QRgb rgb (const QwtDoubleInterval &, double value) const
void setColor (const QColor &)
virtual ~QwtAlphaColorMap ()

Detailed Description

QwtAlphaColorMap variies the alpha value of a color.

Member Enumeration Documentation

  enum QwtColorMap::Format [inherited] .IP • 2
RGB
 The map is intended to map into QRgb values.

•   Indexed
     The map is intended to map into 8 bit values, that are indices into the color table.

See also:
    rgb(), colorIndex(), colorTable()

Constructor & Destructor Documentation

  QwtAlphaColorMap::QwtAlphaColorMap (const QColor &color = QColor(Qt::gray)) Constructor

Parameters:
    color Color of the map

  QwtAlphaColorMap::QwtAlphaColorMap (const QwtAlphaColorMap &other) Copy constructor

Parameters:
    other Other color map

  QwtAlphaColorMap::~QwtAlphaColorMap () [virtual]

Destructor.

Member Function Documentation

  QColor QwtAlphaColorMap::color () const Returns:
    the color

See also:
    setColor()

  QColor QwtColorMap::color (const QwtDoubleInterval &interval, doublevalue) const [inline, inherited] Map a value into a color

Parameters:
    interval Valid interval for values
    value Value

Returns:
    Color corresponding to value

Warning:
    This method is slow for Indexed color maps. If it is necessary to map many values, its better to get the color table once and find the color using colorIndex().

  QwtColorTable QwtColorMap::colorTable (const QwtDoubleInterval &interval) const [virtual, inherited] Build and return a color map of 256 colors

The color table is needed for rendering indexed images in combination with using colorIndex().

Parameters:
    interval Range for the values

Returns:
    A color table, that can be used for a QImage

  QwtColorMap * QwtAlphaColorMap::copy () const [virtual]

Clone the color map.

Implements QwtColorMap.

  QwtColorMap::Format QwtColorMap::format () const [inline, inherited] Returns:
    Intended format of the color map

See also:
    Format

  QwtAlphaColorMap & QwtAlphaColorMap::operator= (const QwtAlphaColorMap &other) Assignment operator

Parameters:
    other Other color map

Returns:
    *this

  QRgb QwtAlphaColorMap::rgb (const QwtDoubleInterval &interval, doublevalue) const [virtual]

Map a value of a given interval into a alpha value. alpha := (value - interval.minValue()) / interval.width();

Parameters:
    interval Range for all values
    value Value to map into a rgb value

Returns:
    rgb value, with an alpha value

Implements QwtColorMap.

  void QwtAlphaColorMap::setColor (const QColor &color) Set the color

Parameters:
    color Color

See also:
    color()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.